---
contrib_package_information: 1.0
# update_type added in by SL
update_type: newpackage

package: pam_krb5_debian
licence: GPL

submitted_by:
    - name:  Pat Riehecky
      email: riehecky@fnal.gov
      primary_contact: Yes

project_page: http://www.eyrie.org/~eagle/software/pam-krb5/
project_code: http://git.eyrie.org/?p=kerberos/pam-krb5.git

release_date: 03/06/2012
release_announcement: http://www.eyrie.org/~eagle/software/pam-krb5/news.html

production_ready: Yes

explanation_of_hosting: >
    This package replaces the pam-krb5 module that ships with SL6.
    It cannot be put into EPEL because of this behavior.
    It would not be useful to very many.  External repos like rpmforge
    might be willing to host this.
    As an SL developer, I will just put it into contrib.  Anyone wishing
    to get this migrated elsewhere has my blessing.

release_description: >
    pam-krb5 is a Kerberos v5 PAM module for either MIT Kerberos or Heimdal.
    It supports ticket refreshing by screen savers, configurable authorization
    handling, authentication of non-local accounts for network services,
    password changing, and password expiration, as well as all the standard
    expected PAM features.  It works correctly with OpenSSH, even with
    ChallengeResponseAuthentication and PrivilegeSeparation enabled, and
    supports extensive configuration either by PAM options or in krb5.conf
    or both.  PKINIT is supported with recent versions of both MIT Kerberos
    and Heimdal and FAST is supported with recent MIT Kerberos.

    This module is not the Kerberos v5 PAM module maintained on Sourceforge.
    It is an independent implementation that, if it ever shared any common code,
    diverged long ago.  It supports some features that the Sourceforge module
    does not (particularly around authorization), and does not support some
    options (particularly ones not directly related to Kerberos v5) that it
    does.  This module will never support Kerberos v4 or AFS.

security_update: No
fixed_bugs : No
fixed_cves : No

rpms:
    - SL6_SRPMS:
        - pam_krb5_debian-4.6-0.el6.src.rpm
    - SL6_i386:
        - pam_krb5_debian-4.6-0.el6.i686.rpm
    - SL6_x86_64:
        - pam_krb5_debian-4.6-0.el6.x86_64.rpm
    - SL6_debuginfo:
        - pam_krb5_debian-debuginfo-4.6-0.el6.i686.rpm
        - pam_krb5_debian-debuginfo-4.6-0.el6.x86_64.rpm
